Bug 448734 - sbcl: ppc/ld joy, "final link failed: Nonrepresentable section on output"
sbcl: ppc/ld joy, "final link failed: Nonrepresentable section on output"
Status: CLOSED DUPLICATE of bug 511315
Product: Fedora
Classification: Fedora
Component: sbcl (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: F-ExcludeArch-ppc
  Show dependency treegraph
 
Reported: 2008-05-28 10:49 EDT by Rex Dieter
Modified: 2009-08-03 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 511315 (view as bug list)
Environment:
Last Closed: 2009-08-03 14:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-05-28 10:49:19 EDT
Target: ppc64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla
--enable-bootstrap --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions
--enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk
--disable-dssi --enable-plugin
--with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre
--enable-libgcj-multifile --enable-java-maintainer-mode
--with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib
--enable-secureplt --with-long-double-128 --build=ppc64-redhat-linux
--target=ppc64-redhat-linux --with-cpu=default32
Thread model: posix
gcc version 4.3.0 20080428 (Red Hat 4.3.0-8) (GCC) 
COMPILER_PATH=/usr/libexec/gcc/ppc64-redhat-linux/4.3.0/:/usr/libexec/gcc/ppc64-redhat-linux/4.3.0/:/usr/libexec/gcc/ppc64-redhat-linux/:/usr/lib/gcc/ppc64-redhat-linux/4.3.0/:/usr/lib/gcc/ppc64-redhat-linux/:/usr/libexec/gcc/ppc64-redhat-linux/4.3.0/:/usr/libexec/gcc/ppc64-redhat-linux/:/usr/lib/gcc/ppc64-redhat-linux/4.3.0/:/usr/lib/gcc/ppc64-redhat-linux/
LIBRARY_PATH=/usr/lib/gcc/ppc64-redhat-linux/4.3.0/:/usr/lib/gcc/ppc64-redhat-linux/4.3.0/:/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../:/lib/:/usr/lib/
COLLECT_GCC_OPTIONS='-g' '-v' '-rdynamic' '-o' 'sbcl'
 /usr/libexec/gcc/ppc64-redhat-linux/4.3.0/collect2 --eh-frame-hdr --build-id -V
-Qy --hash-style=gnu -m elf32ppclinux -export-dynamic -dynamic-linker
/lib/ld.so.1 -o sbcl
/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../../lib/crt1.o
/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../../lib/crti.o
/usr/lib/gcc/ppc64-redhat-linux/4.3.0/crtbegin.o
-L/usr/lib/gcc/ppc64-redhat-linux/4.3.0 -L/usr/lib/gcc/ppc64-redhat-linux/4.3.0
-L/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../../lib -L/lib/../lib
-L/usr/lib/../lib -L/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../.. alloc.o
backtrace.o breakpoint.o coreparse.o dynbind.o funcall.o gc-common.o globals.o
interr.o interrupt.o largefile.o monitor.o os-common.o parse.o print.o purify.o
pthread-futex.o pthread-lutex.o regnames.o run-program.o runtime.o save.o
search.o thread.o time.o util.o validate.o vars.o
 wrap.o ppc-arch.o linux-os.o ppc-linux-os.o gencgc.o ppc-assem.o ldso-stubs.o
-ldl -lm -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s
--no-as-needed /usr/lib/gcc/ppc64-redhat-linux/4.3.0/crtsavres.o
/usr/lib/gcc/ppc64-redhat-linux/4.3.0/crtend.o
/usr/lib/gcc/ppc64-redhat-linux/4.3.0/../../../../lib/crtn.o
GNU ld version 2.18.50.0.6-2 20080403
  Supported emulations:
   elf32ppclinux
   elf32ppc
   elf32ppcsim
   elf64ppc
wrap.o: In function `sb_mkstemp':
/builddir/build/BUILD/sbcl-1.0.17/src/runtime/wrap.c:310: warning: the use of
`mktemp' is dangerous, better use `mkstemp'
/usr/bin/ld: ldso-stubs.o(.text+0x180): unresolvable R_PPC_REL24 relocation
against symbol `tzname@@GLIBC_2.0'
ldso-stubs.o: In function `ldso_stub__tzname':
/builddir/build/BUILD/sbcl-1.0.17/src/runtime/ldso-stubs.S:113: relocation
truncated to fit: R_PPC_REL24 against symbol `tzname@@GLIBC_2.0' defined in
.sdata section in /lib/libc.so.6
/usr/bin/ld: final link failed: Nonrepresentable section on output
collect2: ld returned 1 exit status
make: 
*** [sbcl] Error 1
make: Leaving directory `/builddir/build/BUILD/sbcl-1.0.17/src/runtime'
Comment 1 Rex Dieter 2008-05-28 10:56:45 EDT
Failed build in particular,
http://koji.fedoraproject.org/koji/taskinfo?taskID=633188
Comment 2 Bug Zapper 2009-06-09 21:15:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Aram Agajanian 2009-07-08 12:33:39 EDT
I was just able to build this on F11 ppc64 (with --target=ppc) by removing the reference to tzname from the following file:

tools-for-build/ldso-stubs.lisp
Comment 4 Aram Agajanian 2009-07-09 12:22:43 EDT
I was also able to build maxima.ppc using sbcl.
Comment 5 Bug Zapper 2009-07-14 12:13:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Rex Dieter 2009-07-29 16:07:32 EDT
re-opening targeting rawhide, gonna do some more tests.
Comment 7 Rex Dieter 2009-08-02 10:08:53 EDT
Re-confirmed on fc10, using el5 build for bootstrap...

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1573563 

make: Leaving directory `/builddir/build/BUILD/sbcl-1.0.30/src/runtime'
wrap.o: In function `sb_mkstemp':
/builddir/build/BUILD/sbcl-1.0.30/src/runtime/wrap.c:279: warning: the use of `mktemp' is dangerous, better use `mkstemp'
/usr/bin/ld: ldso-stubs.o(.text+0x180): unresolvable R_PPC_REL24 relocation against symbol `tzname@@GLIBC_2.0'
ldso-stubs.o: In function `ldso_stub__tzname':
/builddir/build/BUILD/sbcl-1.0.30/src/runtime/ldso-stubs.S:113: relocation truncated to fit: R_PPC_REL24 against symbol `tzname@@GLIBC_2.0' defined in .sdata section in /lib/libc.so.6
/usr/bin/ld: final link failed: Nonrepresentable section on output
collect2: ld returned 1 exit status
make: *** [sbcl] Error 1
RPM build errors:


I'll ping upstream, about the issue, and whether it's viable to consider omitting the tzname symbol as suggested in comment #3
Comment 8 Rex Dieter 2009-08-03 14:09:11 EDT
further work will continue in bug #511315 instead.

*** This bug has been marked as a duplicate of bug 511315 ***

Note You need to log in before you can comment on or make changes to this bug.